import { EventEmitter } from 'eventemitter3';
import { EventEmitter as FSEvents } from './api';
export declare function getPathNodes(path: string): Array<string>;
export declare function getIsIgnored(matchers: string[], options?: Object): (path: string) => boolean;
export declare type InternalEventsEmitter = EventEmitter & FSEvents;
export declare function makeEventsEmitter(): InternalEventsEmitter;
